
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&display=swap");

:root {
 
  --body-font: 'Poppins', sans-serif;
  --h3-font-size: 1rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;
}

@media screen and (min-width: 1024px) {
  :root {
    --h3-font-size: 1.125rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: var(--body-font);
  background-color: rgb(39, 7, 49);
}


img {
  max-width: 100%;
  height: auto;
}


.gallery {
  height: 100vh;
  display: grid;
  align-content: center;
  justify-content: center;
}

.gallery__card {
  position: relative;
  width: 250px;
  height: 350px;
  border-radius: 3rem;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
}

.gallery__img, 
.gallery__card::after{
  position: absolute;
}

.gallery__img {
  inset: 0;
  margin: auto;
  transition: transform .3s;
}

.gallery__card::after {
  content: '';
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg,
              hsla(0, 0%, 100%, 0) 32%,
              hsla(0, 0%, 0%, .3) 100%);
  top: 0;
  z-index: 1;
}


.gallery__overflow {
  position: relative;
}

.gallery__thumbnail {
  position: relative;
  width: 60px;
  height: 60px;
  border-radius: 1.5rem;
  overflow: hidden;
  cursor: pointer;
  margin-left: auto;
  margin-right: auto;
  transition: transform .3s;
}

.gallery__thumbnail-img {
  position: absolute;
  inset: 0;
  margin: auto;
}


.gallery-cards,
.gallery-thumbs {
  width: 260px;
}

.gallery-cards:hover .gallery__img {
  transform: scale(1.1);
}

.gallery .swiper-wrapper {
  padding: 2.5rem 0;
}

.gallery-thumbs {
  height: 132px;
}


.swiper-slide-active .gallery__thumbnail {
  transform: translateY(-1.25rem) scale(1.2);
}


.swiper-slide-next .gallery__thumbnail {
  transform: rotate(15deg);
}

.swiper-slide-prev .gallery__thumbnail {
  transform: rotate(-15deg);
}


.swiper-pagination-fraction {
  font-size: var(--small-font-size);
  letter-spacing: -1px;
  font-weight: 500;
  color: tan;
  bottom: 0;
}


.swiper-button-next::after,
.swiper-button-prev::after {
  content: '';
}

.swiper-button-next,
.swiper-button-prev {
  font-size: 1.5rem;
  color: tan;
  top: 5.5rem;
}

.swiper-button-next {
  right: -1.5rem;
  transform: rotate(15deg);
}

.swiper-button-prev {
  left: -1.5rem;
  transform: rotate(-15deg);
}


.gallery-cards::after {
  content: '';
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
}

.swiper-horizontal.swiper-css-mode > .swiper-wrapper {
  scroll-snap-type: initial;
}


/* للاجهزه الصغيره*/
@media screen and (max-width: 320px) {
  .swiper-button-next,
  .swiper-button-prev {
    display: none;
  }
  
}

/* للاجهزه المتوسطه */
@media screen and (min-width: 1024px) {
  .gallery__card {
    width: 250px;
    height: 350px;
  }
  .gallery__thumbnail {
    width: 65px;
    height: 65px;
  }
  .gallery-cards,
  .gallery-thumbs {
    width: 280px;
  }
}
